<?php

namespace Litecms\Affiliatetable;

use User;

class Affiliatetable
{
    /**
     * $affiliatetable object.
     */
    protected $affiliatetable;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Affiliatetable\Interfaces\AffiliatetableRepositoryInterface $affiliatetable)
    {
        $this->affiliatetable = $affiliatetable;
    }

    /**
     * Returns count of affiliatetable.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.affiliatetable.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->affiliatetable->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\AffiliatetableUserCriteria());
        }

        $affiliatetable = $this->affiliatetable->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('affiliatetable::' . $view, compact('affiliatetable'))->render();
    }
}
